Bug 986891 - [RHSC-SHELL] System does not get rebooted even if reboot_after_installation is true.
[RHSC-SHELL] System does not get rebooted even if reboot_after_installation i...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc-cli (Show other bugs)
2.1
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Shubhendu Tripathi
RamaKasturi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 06:52 EDT by RamaKasturi
Modified: 2015-08-28 06:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 06:06:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attaching engine.log (13.30 MB, text/x-log)
2013-07-22 07:42 EDT, RamaKasturi
no flags Details
attaching vdsm log (8.10 MB, text/x-log)
2013-07-22 07:56 EDT, RamaKasturi
no flags Details

  None (edit)
Description RamaKasturi 2013-07-22 06:52:26 EDT
Description of problem:
System does not get rebooted even if reboot_after_installation is ture.

Version-Release number of selected component (if applicable):
rhsc-cli-2.1.0.0-0.bb3a.el6rhs.noarch

How reproducible:
Always

Steps to Reproduce:
1. Login to rhsc-shell
2. Add host  and provide an option such that the system reboots while it installs.
3. Type the following command. 
4. add host --name Node1 --address "10.70.37.116" --root_password redhat --cluster-name TestCluster --reboot_after_installation True


Actual results:
System does not get rebooted while installing.

Expected results:
System should get rebooted when providing with an option reboot_after_installation as true.

Additional info:
Comment 2 RamaKasturi 2013-07-22 07:42:48 EDT
Created attachment 776873 [details]
Attaching engine.log
Comment 3 RamaKasturi 2013-07-22 07:56:33 EDT
Created attachment 776876 [details]
attaching vdsm log
Comment 4 Itamar Heim 2013-07-23 04:48:11 EDT
that's a behavior change in ovirt 3.3. livnat can provide more details.
Comment 5 Shubhendu Tripathi 2013-07-23 07:19:30 EDT
In case it's a behavior change, then the option "reboot_after_installation" should be removed from REST.
Comment 6 Rejy M Cyriac 2013-08-29 01:20:41 EDT
(In reply to Shubhendu Tripathi from comment #5)
> In case it's a behavior change, then the option "reboot_after_installation"
> should be removed from REST.

The behaviour change to not reboot hosts after boot-strapping, and immediately have the hosts available, is a welcome measure to save time, though we must be extra careful to test and fix any issues resulting from the change.

But still, I would suggest that the "reboot_after_installation" cli option be fixed and retained, so that an admin has the option to force a reboot, if required.
Comment 7 Dusmant 2015-08-28 06:06:22 EDT
We are not planning to fix it. Hence closing this BZ. If you think, it's applicable for 3.x release and would have an impact on customer, pls. open up a new BZ with the appropriate version. Thanks, -Dusmant

Note You need to log in before you can comment on or make changes to this bug.